/*
** ===================================================================
** Název souboru   : twi_c.c
** Mikrokontroler  : ATmega
** Popis           : Knihovna pro řízení komunikace po sběrnici I2C (TWI).
** Autor           : Tomáš Frýza ( fryza@feec.vutbr.cz ), m.dujicek
** ===================================================================
*/


#ifndef _TWI_H
#define _TWI_H 1


/*
** Prototypy funkcí
*/
void twi_start( void ) ;	// vyslání startovací podmínky
void twi_address_w( char ) ;// vyslání slave adresy a write bitu
void twi_address_read(char);//vyslani slave adresy a read bitu, vraci prijaty bajt
void twi_write( char ) ;	// zápis datového paketu na sběrnici
unsigned char twi_read(void);//precteni dat
unsigned char twi_readNACK(void);//precteni dat, bez potvrzeni, nasledovat bude stop
void twi_stop( void ) ;		// vyslání ukončovací podmínky


#endif


/*
** Konec hlavičkového souboru
*/
